package com.mcwl.resource.service;

import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.common.core.domain.R;
import com.mcwl.resource.domain.request.RequestFile;

/**
 * @author DaiZibo
 * @date 2025/2/14
 * @apiNote
 */

public interface FileService {
 AjaxResult selectFileName(String name, String type);

    AjaxResult selectFile(String name, String type);

    R selectHash(String hashCode, Integer type);

    R updateFileData(RequestFile requestFile);
}
